
import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/models/gallery.dart';
import '../desktop/desktop_Index_carousel.dart';
import '../mobile/mobile_index_carousel.dart';
import 'package:responsive_builder/responsive_builder.dart';

class IndexCarousel extends StatelessWidget {
  final List<Gallery> galleries;
  const IndexCarousel(this.galleries, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ScreenTypeLayout(
      mobile: MobileIndexCarousel(galleries),
      tablet: DesktopIndexCarousel(galleries),
      desktop: DesktopIndexCarousel(galleries),
    );
  }

}